Package org.eclipse.rdf4j.sparqlbuilder.core

## Class PropertyPaths

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.PropertyPaths

-     @Deprecated(since="4.0")
      public class PropertyPaths
      extends Object

  Deprecated.
  Use the `PropertyPathBuilder` instead.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyPaths()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RdfPredicate` | `oneOrMore​(IRI aElement)` | Deprecated.
    `static RdfPredicate` | `oneOrMore​(RdfPredicate aElement)` | Deprecated.
    `static RdfPredicate` | `path​(IRI... aElements)` | Deprecated.
    `static RdfPredicate` | `path​(RdfPredicate... aElements)` | Deprecated. Construct property paths for use with the `SparqlBuilder`
    `static RdfPredicate` | `zeroOrMore​(IRI aElement)` | Deprecated.
    `static RdfPredicate` | `zeroOrMore​(RdfPredicate aElement)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyPaths

          public PropertyPaths()

      Deprecated.

  - ### Method Detail

    - #### path

          public static RdfPredicate path​(RdfPredicate... aElements)

      Deprecated.
      Construct property paths for use with the `SparqlBuilder`

      Example: `subject.has(path(zeroOrMore(property)), object)`.

      Parameters:
        `aElements` - the path elements
      Returns:
        a property path

    - #### path

          public static RdfPredicate path​(IRI... aElements)

      Deprecated.

    - #### zeroOrMore

          public static RdfPredicate zeroOrMore​(RdfPredicate aElement)

      Deprecated.

    - #### zeroOrMore

          public static RdfPredicate zeroOrMore​(IRI aElement)

      Deprecated.

    - #### oneOrMore

          public static RdfPredicate oneOrMore​(RdfPredicate aElement)

      Deprecated.

    - #### oneOrMore

          public static RdfPredicate oneOrMore​(IRI aElement)

      Deprecated.